Bug 205331 - [NEW PORT] www/ytdl: YouTube downloader written in Go
Summary: [NEW PORT] www/ytdl: YouTube downloader written in Go
Status: Closed Not Accepted
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on: 205282
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-15 03:22 UTC by Yuri Victorovich
Modified: 2019-01-29 04:21 UTC (History)
2 users (show)

See Also:


Attachments
shar archive (2.79 KB, text/plain)
2015-12-15 03:22 UTC, Yuri Victorovich
no flags Details
Updated shar (3.48 KB, text/plain)
2018-01-29 21:40 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2015-12-15 03:22:05 UTC
Created attachment 164254 [details]
shar archive
Comment 1 Martin Wilke freebsd_committer 2017-05-06 09:55:21 UTC
Yuri,

Can you make the port without depending on 205282?

Otherwise we have that port for another 2 years open ;(.
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-01-10 02:46:33 UTC
ping!
Comment 3 Yuri Victorovich freebsd_committer 2018-01-29 21:40:09 UTC
Created attachment 190177 [details]
Updated shar

Current version 0.5.1 fails to build: https://github.com/rylio/ytdl/issues/32
Comment 4 Tobias Kortkamp freebsd_committer 2019-01-28 10:55:39 UTC
(In reply to Yuri Victorovich from comment #3)
> Created attachment 190177 [details]
> Updated shar
> 
> Current version 0.5.1 fails to build: https://github.com/rylio/ytdl/issues/32

That issue is still not closed.  Maybe we should give up on ytdl if they
are unresponsive to build issues on FreeBSD?
Comment 5 Yuri Victorovich freebsd_committer 2019-01-28 15:50:34 UTC
The upstream isn't willing/responsive to solve compile issues.
Comment 6 commit-hook freebsd_committer 2019-01-29 04:21:11 UTC
A commit references this bug:

Author: yuri
Date: Tue Jan 29 04:21:02 UTC 2019
New revision: 491540
URL: https://svnweb.freebsd.org/changeset/ports/491540

Log:
  New port: www/ytdl: YouTube downloader written in Go

  PR:		205331
  Submitted by:	Dmitri Goutnik <dg@syrec.org> (last working version, free of previous build problems)

Changes:
  head/www/Makefile
  head/www/ytdl/
  head/www/ytdl/Makefile
  head/www/ytdl/distinfo
  head/www/ytdl/pkg-descr